=== modified file 'olive/__init__.py'
--- olive/__init__.py	2007-07-13 23:09:47 +0000
+++ olive/__init__.py	2007-07-21 14:55:44 +0000
@@ -853,13 +853,13 @@
     def _load_right(self):
         """ Load data into the right panel. (Filelist) """
         # Create ListStore
-        # Model: [ icon, dir, name, status text, status, size (int), size (human), mtime (int), mtime (local), fileid]
+        # Model: [ icon, dir, name, status text, status, size (int), size (human), mtime (int), mtime (local), fileid ]
         liststore = gtk.ListStore(gobject.TYPE_STRING,
                                   gobject.TYPE_BOOLEAN,
                                   gobject.TYPE_STRING,
                                   gobject.TYPE_STRING,
                                   gobject.TYPE_STRING,
-                                  gobject.TYPE_INT,
+                                  gobject.TYPE_STRING,
                                   gobject.TYPE_STRING,
                                   gobject.TYPE_INT,
                                   gobject.TYPE_STRING,
@@ -892,8 +892,8 @@
                                item,
                                '',
                                '',
-                               statinfo.st_size,
-                               self._format_size(statinfo.st_size),
+                               "<DIR>",
+                               "<DIR>",
                                statinfo.st_mtime,
                                self._format_date(statinfo.st_mtime),
                                ''])
@@ -953,7 +953,7 @@
                               item,
                               st,
                               status,
-                              statinfo.st_size,
+                              str(statinfo.st_size), # NOTE: if int used there it will fail for large files (size expressed as long int)
                               self._format_size(statinfo.st_size),
                               statinfo.st_mtime,
                               self._format_date(statinfo.st_mtime),
@@ -1179,8 +1179,8 @@
                                   item,
                                   '',
                                   '',
-                                  statinfo.st_size,
-                                  self._format_size(statinfo.st_size),
+                                  "<DIR>",
+                                  "<DIR>",
                                   statinfo.st_mtime,
                                   self._format_date(statinfo.st_mtime),
                                   ''])
@@ -1240,7 +1240,7 @@
                                   item,
                                   st,
                                   status,
-                                  statinfo.st_size,
+                                  str(statinfo.st_size),
                                   self._format_size(statinfo.st_size),
                                   statinfo.st_mtime,
                                   self._format_date(statinfo.st_mtime),
@@ -1297,8 +1297,8 @@
                                        item.name,
                                        '',
                                        '',
-                                       0,
-                                       self._format_size(0),
+                                       "<DIR>",
+                                       "<DIR>",
                                        rev.timestamp,
                                        self._format_date(rev.timestamp),
                                        ''
@@ -1314,7 +1314,7 @@
                                        item.name,
                                        '',
                                        '',
-                                       item.text_size,
+                                       str(item.text_size),
                                        self._format_size(item.text_size),
                                        rev.timestamp,
                                        self._format_date(rev.timestamp),
@@ -1416,7 +1416,15 @@
     
     def _format_size(self, size):
         """ Format size to a human readable format. """
-        return size
+        if size < 1000:
+            return "%d[B]" % (size,)
+        size = size / 1000.0
+        
+        for metric in ["kB","MB","GB","TB"]:
+            if size < 1000:
+                break
+            size = size / 1000.0
+        return "%.1f[%s]" % (size,metric) 
     
     def _format_date(self, timestamp):
         """ Format the time (given in secs) to a human readable format. """

